<?php 
/**
 * Createing an about us pannel for customizer
 *
 */
// Product Categories SECTION START HERE 
/*============pRODICT CATEGORIES PANEL============*/
$wp_customize->add_section(
	'product_categories_catlogue',
	array(
		'title'         => __( 'Product Categories', 'lz-fitness-premium' ),
		'panel'   => 'lz_fitness_premium_home_panel',
	)
);
// ENABLE/DISABLE TEAM SECTION
$wp_customize->add_setting(
	'product_categories_catlogue_disable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'product_categories_catlogue_disable',
		array(
			'settings'      => 'product_categories_catlogue_disable',
			'section'       => 'product_categories_catlogue',
			'label'         => __( 'Disable Section', 'lz-fitness-premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'lz-fitness-premium' ),
				'off' => __( 'No', 'lz-fitness-premium' )
			)   
		)
	)
);

backgroundManager($wp_customize, 'categories', 'product_categories_catlogue', $color='#01beff', get_template_directory_uri().'/images/default-gray.png', 'img');

	
$wp_customize->add_setting(
	'product_category_title_subtitle_heading',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);

$wp_customize->add_control(
	new lz_fitness_Customize_Heading(
		$wp_customize,
		'product_category_title_subtitle_heading',
		array(
			'settings'      => 'product_category_title_subtitle_heading',
			'section'       => 'product_categories_catlogue',
			'label'         => __( 'Section Title', 'lz-fitness-premium' ),
		)
	)
);

$wp_customize->add_setting(
	'product_category_title',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Product Category', 'lz-fitness-premium' )
	)
);

$wp_customize->add_control(
	'product_category_title',
	array(
		'settings'      => 'product_category_title',
		'section'       => 'product_categories_catlogue',
		'type'          => 'text',
		'label'         => __( 'Title', 'lz-fitness-premium' )
	)
);

// Heading color
addColorPalatOption($wp_customize, 'product_category_Heading_color', 'product_categories_catlogue', 'Section Heading color','#fff');

// Heading border color
addColorPalatOption($wp_customize, 'product_category_HeadingborderColor', 'product_categories_catlogue', 'Section Heading border color', '#fff');
// Heading border icon color
addColorPalatOption($wp_customize, 'product_category_HeadingbordericonColor', 'product_categories_catlogue', 'Section Heading border icon color', '#fff');

// image hover color
addColorPalatOption($wp_customize, 'product_category_imghover_color', 'product_categories_catlogue', 'Category image overlay color','#01beff');

// Category Title color
addColorPalatOption($wp_customize, 'product_category_CategoryTitle_color', 'product_categories_catlogue', 'Category Title color', '#ffffff');
// Category description color
addColorPalatOption($wp_customize, 'product_category_text_color', 'product_categories_catlogue', 'Category description color', '#fff');


// Category box bg color
addColorPalatOption($wp_customize, 'product_Categoryboxbgcolor', 'product_categories_catlogue', 'Category box background color', '#ff6796');


// Category Title hover color
addColorPalatOption($wp_customize, 'product_category_CategoryTitlehover_color', 'product_categories_catlogue', 'Category title hover color', '#000');

// Category description color
addColorPalatOption($wp_customize, 'product_category_texthover_color', 'product_categories_catlogue', 'Category description hover color', '#000');


// Category box bg hover color
addColorPalatOption($wp_customize, 'product_Categoryboxbghovercolor', 'product_categories_catlogue', 'Category box background hover color', '#fff');



// prev Button color
addColorPalatOption($wp_customize, 'product_Category_prev', 'product_categories_catlogue', 'Prev button color', '#a59f95');

// prev Button border color
addColorPalatOption($wp_customize, 'product_Category_prevborder', 'product_categories_catlogue', 'Prev button border color', '#a59f95');

// next Button color
addColorPalatOption($wp_customize, 'product_Category_next', 'product_categories_catlogue', 'Next button color', '#a59f95');

// next Button border color
addColorPalatOption($wp_customize, 'product_Category_nextborder', 'product_categories_catlogue', 'Next button border color', '#a59f95');


// prev Button hover color
addColorPalatOption($wp_customize, 'product_Category_prevhover', 'product_categories_catlogue', 'Prev button hover color', '#fff');

// prev Button border hover color
addColorPalatOption($wp_customize, 'product_Category_prevborderhover', 'product_categories_catlogue', 'Prev button border hover color', '#fff');

// next Button hover color
addColorPalatOption($wp_customize, 'product_Category_nexthover', 'product_categories_catlogue', 'Next button hover color', '#fff');

// next Button border hover color
addColorPalatOption($wp_customize, 'product_Category_nextborderhover', 'product_categories_catlogue', 'Next button border hover color', '#fff');
